Package io.strimzi.systemtest.resources.crd.kafkaclients

## Class KafkaTracingExampleClients

- java.lang.Object
- - io.strimzi.systemtest.resources.crd.kafkaclients.KafkaBasicExampleClients
  - - io.strimzi.systemtest.resources.crd.kafkaclients.KafkaTracingExampleClients

-     public class KafkaTracingExampleClients
      extends KafkaBasicExampleClients

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `KafkaTracingExampleClients.Builder` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `KafkaTracingExampleClients​(KafkaTracingExampleClients.Builder builder)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `io.fabric8.kubernetes.api.model.apps.DeploymentBuilder` | `consumerWithTracing()` |
    `io.fabric8.kubernetes.api.model.apps.Deployment` | `createAndWaitForReadiness​(io.fabric8.kubernetes.api.model.apps.Deployment deployment)` |
    `String` | `getJaegerServiceConsumerName()` |
    `String` | `getJaegerServiceProducerName()` |
    `String` | `getJaegerServiceStreamsName()` |
    `io.fabric8.kubernetes.api.model.apps.DeploymentBuilder` | `kafkaStreamsWithTracing()` |
    `io.fabric8.kubernetes.api.model.apps.DeploymentBuilder` | `producerWithTracing()` |
    `KafkaTracingExampleClients.Builder` | `toBuilder()` |

    - ### Methods inherited from class io.strimzi.systemtest.resources.crd.kafkaclients.KafkaBasicExampleClients

      `consumerStrimzi, createAndWaitForReadiness, defaultConsumerStrimzi, defaultProducerStrimzi, getAdditionalConfig, getBootstrapAddress, getConsumerGroup, getConsumerName, getDelayMs, getMessageCount, getProducerName, getTopicName, producerStrimzi`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KafkaTracingExampleClients

          public KafkaTracingExampleClients​(KafkaTracingExampleClients.Builder builder)

  - ### Method Detail

    - #### getJaegerServiceConsumerName

          public String getJaegerServiceConsumerName()

    - #### getJaegerServiceProducerName

          public String getJaegerServiceProducerName()

    - #### getJaegerServiceStreamsName

          public String getJaegerServiceStreamsName()

    - #### toBuilder

          public KafkaTracingExampleClients.Builder toBuilder()

      Overrides:
        `toBuilder` in class `KafkaBasicExampleClients`

    - #### consumerWithTracing

          public io.fabric8.kubernetes.api.model.apps.DeploymentBuilder consumerWithTracing()

    - #### producerWithTracing

          public io.fabric8.kubernetes.api.model.apps.DeploymentBuilder producerWithTracing()

    - #### kafkaStreamsWithTracing

          public io.fabric8.kubernetes.api.model.apps.DeploymentBuilder kafkaStreamsWithTracing()

    - #### createAndWaitForReadiness

          public io.fabric8.kubernetes.api.model.apps.Deployment createAndWaitForReadiness​(io.fabric8.kubernetes.api.model.apps.Deployment deployment)